Subject: bug#51490: Show an indicator when Emacs is busy somewhere in the Emacs window

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Sep 2022 13:06:25 +0200

Eli Zaretskii <[email-masked]> writes:

> I'm not sure I understand the problem and the proposed solution.  Are
> we talking about having a spinning character, like | / - \, in the
> mode lines of a window on TTY frames?

Yes -- but not just on TTY frames, but on GUI frames, too (for those
that want that).

> If so, what are you trying to save by "modifying the glyphs directly",
> and why do you think doing so will produce some savings, as opposed to
> just update the mode line normally?

Because this will be happening from an alarm while Lisp code is running,
and we can't run other Lisp code while that is happening.  So we have to
modify the mode line directly from the C function called by the alarm, I
think?